<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Surgeon extends BaseModel
{
    use HasFactory;
    protected $guarded = [];

    // Un chirurgien peut avoir plusieurs interventions
    public function interventions()
    {
        return $this->hasMany(Intervention::class);
    }
}